> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bin

> Update the designated bin



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/bin/{bin_id}
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/bin/{bin_id}:
    post:
      tags:
        - InventoryBin
      summary: Update Bin
      description: Update the designated bin
      parameters:
        - description: Id of bin to update
          in: path
          name: bin_id
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        $ref: '#/components/requestBodies/UpdateBinRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bin'
          description: Success
        '400':
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
          description: Internal Server Error
components:
  requestBodies:
    UpdateBinRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateBinRequest'
      description: Request to update a bin
      required: true
  schemas:
    Bin:
      description: Response object for a bin
      properties:
        binID:
          description: Bin ID
          type: integer
        binStatusID:
          description: Bin Status ID
          type: integer
        binTypeID:
          description: Bin Type ID
          type: integer
        locationCode:
          description: Location Code
          type: string
        messages:
          description: List of messages
          items:
            type: string
          type: array
        name:
          description: Bin Name
          type: string
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Bin Inventory Response
      type: object
    BaseResponse:
      description: Base Response Model
      properties:
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Base Response
      type: object
    UpdateBinRequest:
      description: Request needed for updating a bin
      properties:
        binID:
          description: Bin identifier
          type: integer
        binStatusID:
          description: New Bin's Status ID
          type: integer
        binTypeID:
          description: New Bin's Type ID
          type: integer
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Update Bin Request
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````